
CoCoALib - Design #1179

Clean up SparsePolyOps-MonomialIdeals

06 Apr 2018 20:52 - Anna Maria Bigatti

Status: In Progress Start date: 06 Apr 2018

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 20%

Category: Tidying Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 1.50 hour

Description

Now that we have made some decisions about the design for ideals of some special sort, clean up 

SparsePolyOps-MonomialIdeals accordingly.

History

#1 - 06 Apr 2018 20:54 - Anna Maria Bigatti

- Category set to Tidying

- % Done changed from 0 to 20

converted code for PrimaryDecomposition_MonId into a member function.

#2 - 06 Apr 2018 20:54 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99600

#3 - 02 Aug 2018 17:26 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99600 to CoCoALib-0.99650 November 2019

Some work has been done (in parallel with ZeroDimIdeals).

More thorough checks needed.

Postponing.

#4 - 02 Aug 2018 17:27 - Anna Maria Bigatti

- Status changed from New to In Progress

#5 - 01 Oct 2019 12:17 - John Abbott

- Description updated

- Target version changed from CoCoALib-0.99650 November 2019 to CoCoALib-0.99800

#6 - 03 Nov 2021 19:06 - John Abbott

- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99850

#7 - 22 Mar 2024 09:33 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880
